# Copyright (c) 2023 Technica Engineering GmbH. All rights reserved.

import clr
import System
clr.AddReference('System.IO.FileSystem.Watcher')
clr.AddReference('PrimaITestCaseLibrary')
clr.AddReference('PrimaTestCaseLibrary')
clr.AddReference('Technica.Databases')
clr.AddReference('IronPython.Modules')

from System import Array, Byte, Random
from PrimaITestCaseLibrary.TestCaseLibrary import IAndi as Andi
from PrimaITestCaseLibrary.DataBases import IDataBase as Database
from PrimaITestCaseLibrary.Utilities import ITimer as Timer
from PrimaITestCaseLibrary import TIMERSTATE as TIMERSTATE
from PrimaITestCaseLibrary.Events import TimerElapsedEventArgs as TimerElapsedEventArgs
from PrimaITestCaseLibrary.Events import TimerStateChangedEventArg as TimerStateChangedEventArg
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP import IEcuNode as EcuNodeEthernet
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP.SDManager import ISDMessageManager as ISDMessageManager
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP.NMManager import INMMessageManager as INMMessageManager
from PrimaITestCaseLibrary.MessageManagment import IMessageNM as MessageNM
from PrimaITestCaseLibrary.Utilities import FILEFORMAT as FILEFORMAT
from PrimaITestCaseLibrary.Filters import IFilter as Filter
from PrimaITestCaseLibrary.MessageManagment import IUDPPacket as HeaderUDP
from PrimaITestCaseLibrary import TransportProtocols as TransportProtocols
from PrimaITestCaseLibrary.MessageManagment import IctrBs as IctrBs
from PrimaITestCaseLibrary.MessageManagment import IctrFktn as IctrFktn
from PrimaITestCaseLibrary.MessageManagment import IIPPacket as HeaderIPv4
from PrimaITestCaseLibrary.MessageManagment import IIPOptions as IIPOptions
from PrimaITestCaseLibrary.MessageManagment import IIPOption as IIPOption
from PrimaITestCaseLibrary.MessageManagment import IIPPacketV6 as HeaderIPv6
from PrimaITestCaseLibrary.MessageManagment import IPProtocol_Type as IPProtocol_Type
from PrimaITestCaseLibrary.MessageManagment import NetworkProtocols as NetworkProtocols
from Technica.Databases.Ethernet import Protocols as Protocols
from PrimaITestCaseLibrary.MessageManagment import ITransportPacket as HeaderTransport
from PrimaITestCaseLibrary.MessageManagment import IIPBasePacket as HeaderIP
from PrimaITestCaseLibrary.MessageManagment import IEthernetFrame as HeaderEthernet
from PrimaITestCaseLibrary import EtherType as EtherType
from PrimaITestCaseLibrary.MessageManagment import IVlan as HeaderVlan
from PrimaITestCaseLibrary.MessageManagment import ICaptureInfo as CaptureInfo
from PrimaITestCaseLibrary.MessageManagment import GatewayType as GatewayType
from PrimaITestCaseLibrary.MessageManagment import DataDirection as DataDirection
from PrimaITestCaseLibrary.MessageManagment import LinkLayer as LinkLayer
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP.NMManager import BasePartialNet as BasePartialNet
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP.NMManager import FunctionalPartialNet as FunctionalPartialNet
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP.NMManager import EcuNmState as EcuNmState
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP import IMessageManager as IMessageManager
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP.SomeIPManager import ISomeIPMessageManager as ISomeIPMessageManager
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP import ManagerState as ManagerState
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP import IPort as Port
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP import SendingSomeIPEventArgs as SendingSomeIPEventArgs
from PrimaITestCaseLibrary.MessageManagment import IMessageSomeIP as MessageSomeIP
from Technica.Databases.Ethernet import Parameter as Parameter
from Technica.Databases.Common import ICompuMethod as ICompuMethod
from Technica.Databases.Common import IRationalCoeff as IRationalCoeff
from Technica.Databases.Common import COMPU_METHOD_CATEGORY as COMPU_METHOD_CATEGORY
from Technica.Databases.Common import Unit as Unit
from Technica.Databases.Common import ICompuScale as ICompuScale
from Technica.Databases.Ethernet import IManufacturerParameterExtension as IManufacturerParameterExtension
from Technica.Databases.Ethernet import DataTypeCategory as DataTypeCategory
from Technica.Databases.Can import ISignal as ISignal
from Technica.Databases.Common import ISignalActivation as ISignalActivation
from Technica.Databases.Ethernet import ArrayDefinition as ArrayDefinition
from PrimaITestCaseLibrary.MessageManagment import IMessageInternetApplication as IMessageInternetApplication
from PrimaITestCaseLibrary.MessageManagment import ITCPPacket as HeaderTCP
from PrimaITestCaseLibrary.MessageManagment import ISomeIPHeader as ISomeIPHeader
from PrimaITestCaseLibrary import MessageType as MessageType
from PrimaITestCaseLibrary import ReturnCode as ReturnCode
from PrimaITestCaseLibrary.MessageManagment import ISomeIpTpHeader as ISomeIpTpHeader
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP import SendingSomeIPSDEventArgs as SendingSomeIPSDEventArgs
from PrimaITestCaseLibrary.MessageManagment import IMessageSomeIPSD as MessageSomeIPSD
from PrimaITestCaseLibrary import IEntry as Entry
from PrimaITestCaseLibrary import IOption as Option
from PrimaITestCaseLibrary import TransType as TransType
from PrimaITestCaseLibrary import EndPointType as EndPointType
from PrimaITestCaseLibrary import EntryType as EntryType
from PrimaITestCaseLibrary.MessageManagment import IMessage as Message
from PrimaITestCaseLibrary.MessageManagment import IMessageBase as IMessageBase
from PrimaITestCaseLibrary.MessageManagment import ISDHeader as ISDHeader
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP import ReceivingEventArgs as ReceivingEventArgs
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP import ValueChangedArgs as ValueChangedArgs
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationSOMEIP import MethodCalledArgs as MethodCalledArgs
from PrimaITestCaseLibrary.NetWorksConfig import IChannelAdapter as IChannelAdapter
from PrimaITestCaseLibrary.TestCaseLibrary import IAdapter as Adapter
from PrimaTestCaseLibrary.Utils import BusData as BusData
from PrimaTestCaseLibrary.Utils import BusVendorData as BusVendorData
from PrimaTestCaseLibrary.Utils import BusStatus as BusStatus
from PrimaTestCaseLibrary.Utils import CmStatus as CmStatus
from PrimaTestCaseLibrary.Utils import CmVendorData as CmVendorData
from PrimaTestCaseLibrary.Utils import ControlMessageData as ControlMessageData
from PrimaTestCaseLibrary.Utils import IP as IP
from PrimaITestCaseLibrary.TestCaseLibrary import ISeriesBuilder as SeriesBuilder
from PrimaITestCaseLibrary.TestCaseLibrary import ISeries as Series
from PrimaITestCaseLibrary.TestCaseLibrary import Node as Node
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationCAN import IEcuCANNode as EcuNodeCAN
from PrimaITestCaseLibrary.Utilities import SignalValue as SignalValue
from PrimaITestCaseLibrary.RestBusSimulation.RestBusSimulationBase import ValueChangedArgsMsg as ValueChangedArgsMsg
from PrimaITestCaseLibrary.RestBusSimulation import IEcuMessageBasedNode as IEcuMessageBasedNode
from PrimaITestCaseLibrary.NetWorksConfig import IBrspyCanChannelAdapter as ChannelBrspyCAN
from PrimaITestCaseLibrary.MessageManagment import IMessageCAN as MessageCAN
from PrimaITestCaseLibrary.MessageManagment import ICANHeader as ICANHeader
from Technica.Databases.Can import IFrameInstance as IFrameInstance
from Technica.Databases.Can import IE2EInformation as IE2EInformation
from Technica.Databases.Can import ISignalInstance as ISignalInstance
from Technica.Databases.Can import IPduTiming as IPduTiming
from Technica.Databases.Can import ICyclicTiming as ICyclicTiming
from Technica.Databases.Can import IEventTiming as IEventTiming
from Technica.Databases.Can import ISignalTrigger as ISignalTrigger
from Technica.Databases.Can import ISignalInstanceRef as ISignalInstanceRef
from Technica.Databases.Ethernet import INetworkConfiguration as INetworkConfiguration
from Technica.Databases.Ethernet import INetwork as INetwork
from Technica.Databases.Ethernet import INetworkEndpointAddress as INetworkEndpointAddress
from Technica.Databases.Ethernet import IPv4AddresSource as IPv4AddresSource
from Technica.Databases.Can import IFrameTriggering as IFrameTriggering
from Technica.Databases.Can import IFrame as IFrame
from Technica.Databases.Can import IPduInstance as IPduInstance
from Technica.Databases.Can import IPduType as IPduType
from Technica.Databases.Can import FrameType as FrameType
from Technica.Databases.Can import IMultiplexedPart as IMultiplexedPart
from Technica.Databases.Can import ISwitchedPduInstance as ISwitchedPduInstance
from Technica.Databases.Can import ISegmentPosition as ISegmentPosition
from Technica.Databases.Common import ISecOCConfiguration as ISecOCConfiguration
from Technica.Databases.Can import IChannel as IChannel
from Technica.Databases.Can import IPduTriggering as IPduTriggering
from Technica.Databases.Common import ICluster as ICluster
from Technica.Databases.Ethernet import IMacMulticastGroup as IMacMulticastGroup
from Technica.Databases.Can import ISignalTriggering as ISignalTriggering
from PrimaITestCaseLibrary.MessageManagment import AutoCalculate as AutoCalculate
from PrimaITestCaseLibrary.NetWorksConfig import IRecordHandler as IRecordHandler
from PrimaITestCaseLibrary.NetWorksConfig import IBrspyChannelAdapter as ChannelBrspy
from PrimaITestCaseLibrary.NetWorksConfig import IBtsCanChannelAdapter as ChannelBtsCAN
from PrimaITestCaseLibrary.NetWorksConfig import IBtsLinChannelAdapter as ChannelBtsLIN
from PrimaITestCaseLibrary.MessageManagment import IMessageLIN as MessageLIN
from PrimaITestCaseLibrary.MessageManagment import ILINHeader as ILINHeader
from PrimaITestCaseLibrary.NetWorksConfig import IBTSChannelAdapter as ChannelBts
from PrimaITestCaseLibrary.NetWorksConfig import IBtsIoChannelAdapter as ChannelBtsIO
from PrimaITestCaseLibrary.NetWorksConfig import ICANChannelAdapter as ChannelCAN
from PrimaITestCaseLibrary.NetWorksConfig import Transmission as Transmission
from PrimaITestCaseLibrary.NetWorksConfig import IEthernetChannelAdapter as ChannelEthernet
from PrimaITestCaseLibrary.NetWorksConfig import ILINChannelAdapter as ChannelLIN
from PrimaITestCaseLibrary.NetWorksConfig import IMediaGatewayChannelAdapter as ChannelMediaGateway
from PrimaITestCaseLibrary.NetWorksConfig import IMgcanChannelAdapter as ChannelMediaGatewayCAN
from PrimaITestCaseLibrary.NetWorksConfig import INewMediaGatewayChannelAdapter as ChannelNewMediaGateway
from PrimaITestCaseLibrary.NetWorksConfig import IPlpAnalogChannelAdapter as ChannelPlpAnalog
from PrimaITestCaseLibrary.NetWorksConfig import IPlpCanChannelAdapter as ChannelPlpCan
from PrimaITestCaseLibrary.NetWorksConfig import IPlpChannelAdapter as ChannelPlp
from PrimaITestCaseLibrary.NetWorksConfig import IPlpEthernetChannelAdapter as ChannelPlpEthernet
from PrimaITestCaseLibrary.NetWorksConfig import IPlpFlexRayChannelAdapter as ChannelPlpFlexRay
from PrimaITestCaseLibrary.MessageManagment import IMessageFlexRay as MessageFlexray
from PrimaITestCaseLibrary.MessageManagment import IMessageFlexRayHeader as IMessageFlexRayHeader
from PrimaITestCaseLibrary.NetWorksConfig import IPlpLinChannelAdapter as ChannelPlpLin
from PrimaITestCaseLibrary.NetWorksConfig import IPlpSerialChannelAdapter as ChannelPlpSerial
from PrimaITestCaseLibrary.DataBases import ICanDatabase as DatabaseCAN
from Technica.Databases.Can import ISignalEcu as ISignalEcu
from Technica.Databases.Common import TpAddress as TpAddress
from PrimaITestCaseLibrary.DataBases import IEdiabasDatabase as DatabaseEdiabas
from PrimaITestCaseLibrary.DataBases import IFibexEthernet as DatabaseEthernet
from Technica.Databases.Ethernet import IConsumedEventGroup as IConsumedEventGroup
from Technica.Databases.Ethernet import IServiceInterface as IServiceInterface
from Technica.Databases.Ethernet import Package as Package
from Technica.Databases.Ethernet import Event as Event
from Technica.Databases.Ethernet import CALLSEMANTIC as CALLSEMANTIC
from Technica.Databases.Ethernet import IManufacturerMethodExtension as IManufacturerMethodExtension
from Technica.Databases.Ethernet import Method as Method
from Technica.Databases.Ethernet import IEventGroup as IEventGroup
from Technica.Databases.Ethernet import Field as Field
from Technica.Databases.Ethernet import IApplicationEndpoint as IApplicationEndpoint
from Technica.Databases.Ethernet import IProvidedService as IProvidedService
from Technica.Databases.Ethernet import IEventHandler as IEventHandler
from Technica.Databases.Ethernet import IConsumedService as IConsumedService
from Technica.Databases.Ethernet import IECUEthernet as IECUEthernet
from Technica.Databases.Ethernet import CouplingElement as CouplingElement
from Technica.Databases.Ethernet import CouplingPort as CouplingPort
from Technica.Databases.Ethernet import VlanMembership as VlanMembership
from Technica.Databases.Ethernet import IChannelEthernet as IChannelEthernet
from Technica.Databases.Ethernet import IController as IController
from Technica.Databases.Common import IEcu as IEcu
from PrimaITestCaseLibrary.DataBases import ILinDatabase as DatabaseLIN
from Technica.Databases.Lin import ILinEcu as ILinEcu
from Technica.Databases.Lin import IProduct as IProduct
from Technica.Databases.Lin import ScheduleTable as ScheduleTable
from Technica.Databases.Lin import ScheduleCommand as ScheduleCommand
from PrimaITestCaseLibrary.DataBases import IPduDatabase as DatabasePDU
from Technica.Databases.Pdu import PduEcu as PduEcu
from PrimaITestCaseLibrary.OutputView import IOutputViewer as IOutputViewer
from PrimaITestCaseLibrary.OutputView import OutputStringType as OutputStringType
from PrimaITestCaseLibrary.Utilities import IAttribute as Variable
from PrimaITestCaseLibrary.TestCaseLibrary import IExcelFilesCreator as IExcelFilesCreator
from PrimaITestCaseLibrary.TestCaseLibrary import IExcelFile as IExcelFile
from PrimaITestCaseLibrary.MessageManagment import IIsoTp as IsoTp
from PrimaITestCaseLibrary.MessageManagment import IMessageARP as MessageARP
from PrimaITestCaseLibrary import Operation as Operation
from PrimaITestCaseLibrary.MessageManagment import HARDWARE_TYPE as HARDWARE_TYPE
from PrimaITestCaseLibrary import PROTOCOL_TYPE as PROTOCOL_TYPE
from PrimaITestCaseLibrary.TestCaseLibrary import IMessageBuilder as MessageBuilder
from PrimaITestCaseLibrary.MessageManagment import IMessagePdu as MessagePDU
from PrimaITestCaseLibrary.MessageManagment import IMessageAnalog as MessageAnalog
from PrimaITestCaseLibrary.MessageManagment import MeasurementSample as MeasurementSample
from PrimaITestCaseLibrary.MessageManagment import IMessageTFTP as MessageTFTP
from PrimaITestCaseLibrary import ErrorCodes as ErrorCodes
from PrimaITestCaseLibrary import Opcodes as Opcodes
from PrimaITestCaseLibrary import Modes as Modes
from PrimaITestCaseLibrary.MessageManagment import IMessageHSFZ as MessageHSFZ
from PrimaITestCaseLibrary import HSFZCtrlWordMapping as HSFZCtrlWordMapping
from PrimaITestCaseLibrary.MessageManagment import Diag as Diag
from PrimaITestCaseLibrary.MessageManagment import HSFZServices as HSFZServices
from PrimaITestCaseLibrary.MessageManagment import IVis as VIS
from PrimaITestCaseLibrary.MessageManagment import IEthernetProtocol as MessageEthernet
from PrimaITestCaseLibrary.MessageManagment import IMessagePTP as MessagePTP
from PrimaITestCaseLibrary.MessageManagment import PtpMessageTypes as PtpMessageTypes
from PrimaITestCaseLibrary.Utilities import ITimeSpan as ITimeSpan
from PrimaITestCaseLibrary.MessageManagment import IFollowUpTlv as IFollowUpTlv
from PrimaITestCaseLibrary.MessageManagment import IMessageUDP as MessageUDP
from PrimaITestCaseLibrary.MessageManagment import IMessageDiagBasic as IMessageDiagBasic
from PrimaITestCaseLibrary.MessageManagment import Uds as Uds
from PrimaITestCaseLibrary.MessageManagment import UdsServices as UdsServices
from PrimaITestCaseLibrary.MessageManagment import IMessageTCP as MessageTCP
from PrimaITestCaseLibrary.MessageManagment import IMessageIEEE1722 as MessageIEEE1722
from PrimaITestCaseLibrary.MessageManagment import IMessageICMP as MessageICMPv4
from PrimaITestCaseLibrary.MessageManagment import ICMPv4TypeCodes1 as ICMPv4TypeCodes1
from PrimaITestCaseLibrary import IMessageDHCP as MessageDHCP
from PrimaITestCaseLibrary import mode as mode
from PrimaITestCaseLibrary.MessageManagment import IipMessage as MessageIpv4
from PrimaITestCaseLibrary.MessageManagment import Iipv6Message as MessageIPv6
from PrimaITestCaseLibrary.MessageManagment import IMessageDlt as MessageDlt
from PrimaITestCaseLibrary.MessageManagment import IMessageDltStandardHeader as DltStandardHeader
from PrimaITestCaseLibrary.MessageManagment import IMessageDltExtendedHeader as DltExtendedHeader
from PrimaITestCaseLibrary.MessageManagment import DltType as DltType
from PrimaITestCaseLibrary.MessageManagment import IMessageICMPv6 as MessageICMPv6
from PrimaITestCaseLibrary.MessageManagment import ICMPv6_TYPE as ICMPv6_TYPE
from PrimaITestCaseLibrary.MessageManagment import IMessageSRP as MessageSRP
from PrimaITestCaseLibrary.MessageManagment import ISRPSubMessage as ISRPSubMessage
from PrimaITestCaseLibrary.MessageManagment import ISRPVectorAttribute as ISRPVectorAttribute
from PrimaITestCaseLibrary.MessageManagment import IMessageDoIP as MessageDoIP
from PrimaITestCaseLibrary.TestCaseLibrary import IScriptNode as Script
from PrimaITestCaseLibrary.Utilities import LOG_TYPE as LOG_TYPE
from PrimaITestCaseLibrary import NODESTATE as NODESTATE
from PrimaITestCaseLibrary.Utilities import IPanel as Panel
from PrimaITestCaseLibrary.Utilities import PanelFormClosedEventArgs as PanelFormClosedEventArgs
